Covara logoDocs
Endpoint ReferenceDocuments

Prepare a document upload

Creates a document record and upload instructions for a client-side PDF upload.

POST
/v1/documents/uploads

Creates a document record and upload instructions for a client-side PDF upload.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/documents/uploads" \  -H "Content-Type: application/json" \  -d '{    "fileName": "string",    "documentType": "string"  }'
{}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}
{
  "error": "string",
  "message": "string",
  "issues": [
    {}
  ],
  "required": [
    "string"
  ]
}